%{?scl:%scl_package perl-App-s2p}

Name:           %{?scl_prefix}perl-App-s2p
Version:        1.002
Release:        3%{?dist}
Summary:        Convert sed script to Perl program
License:        CC-BY-SA
Group:          Development/Tools
URL:            http://search.cpan.org/dist/App-s2p/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/App-s2p-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{?scl_prefix}perl
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  %{?scl_prefix}perl(File::Spec)
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(warnings)
# Run-time:
BuildRequires:  %{?scl_prefix}perl(Config)
BuildRequires:  %{?scl_prefix}perl(integer)
BuildRequires:  %{?scl_prefix}perl(Symbol)
BuildRequires:  %{?scl_prefix}perl(vars)
# Tests:
%if !%{defined perl_bootstrap}
BuildRequires:  %{?scl_prefix}perl(Devel::FindPerl) >= 0.009
BuildRequires:  %{?scl_prefix}perl(File::Copy)
%endif
BuildRequires:  %{?scl_prefix}perl(IO::Handle)
%if !%{defined perl_bootstrap}
BuildRequires:  %{?scl_prefix}perl(IPC::Open2)
%endif
BuildRequires:  %{?scl_prefix}perl(IPC::Open3)
BuildRequires:  %{?scl_prefix}perl(Test::More)
Conflicts:      %{?scl_prefix}perl < 4:5.18.2-300

%description
This package delivers s2p tool which converts sed scripts to Perl programs.

%prep
%setup -q -n App-s2p-%{version}
%if %{defined perl_bootstrap}
rm t/s2p.t
sed -i -e '/^t\/s2p\.t/d' MANIFEST
%endif

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc Changes LICENSE README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Jan 25 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.002-3
- Rebuild of bootstrapped package

* Thu Jan 08 2015 Petr Pisar <ppisar@redhat.com> - 1.002-2
- Disable a test when bootrapping because of a non-core Devel::FindPerl

* Mon Aug 18 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.002-1
- 1.002 bump, update license

* Mon Jun 16 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.001-1
- Specfile autogenerated by cpanspec 1.78.
